# R_Training
Training material for tidyverse

## Content Purpose
This training was developed to reinforce the learning of R, in conjunction with online modules where the content is discussed with the trainees.
<br>The notes from the online modules are captured in a learnr script, which allows the trainees to have a copy of the notes from module, as well as a copy of all the exercises, and additional exercises for them to test their knowledge.
<br>This also allows for them to revisit the learning after the course has finished, as some trainees may be infrequent users of R.

# Required Packages
learnr
<br>tidyverse
<br>palmerpenguins
<br>lubridate

## Learner Profiles
### John the Process Tech
1.	General background
    <br>-Process Technologist with a degree in Engineering
    <br>-Living in a rural town, moved there for work
    <br>-Likes to get away on weekends in the outdoors
    <br>-Looked to as a problem solver on site, holds a lot of knowledge of how the plant runs and how to solve issues
    <br>-At work always busy, don’t have time for training or learning new things, so prefer to do things they way they know how
2.	Starting point/relevant experience
    <br>-Using excel for data analysis
    <br>-Have done a little bit of programming at uni
    <br>-Have seen how the their colleagues are using R and would like to learn too, but feel like it is above their heads
3.	What they think they need
    <br>-Need to be able to utilise business data in a better way
    <br>-Need to analyse data quickly
    <br>-Need to present data effectively
4.	Special Considerations
    <br>-Not able to travel between sites (training needs to be online)
    <br>-Site issues take priority – may miss sessions if pulled into these issues

### Jane the Research Scientist
1.	General background
    <br>-Research Scientist with a phd
    <br>-Living and working in a small city, with a strong science community
    <br>-Likes to read books, look after her garden, and bake
    <br>-Has written papers detailing their research projects, and take a lot of time to design experiments and complete their data analysis
    <br>-Put time into furthering their knowledge 
2.	Starting point/relevant experience
    <br>-Using excel and some other programmes for data analysis
    <br>-Familiar with data techniques and statistical analysis
    <br>-Have a few of their colleagues using R and want to be able to use the tool for their own work.
3.	What they think they need
    <br>-Need to be able to analyse their data in a reproducible way
    <br>-Need better visualisations for use in their research papers
    <br>-Need to develop apps to allow others to use their findings
4.	Special Considerations
    <br>-Not feasible to travel (training needs to be online)
    <br>-May not understand specific manufacturing examples

## Topics Covered
1.  Visualisation
  <br>-Create a ggplot
  <br>-Aesthetic properties
  <br>-geom_point
  <br>-geom_line
  <br>-geom_boxplot
  <br>-geom_bar
  <br>-facet_wrap
  <br>-facet_grid
2.  Coding Basics
3.  Data Transformation
  <br>-Filter
  <br>-Arrange
  <br>-Select
  <br>-Mutate
  <br>-Pipes
  <br>-Grouping
  <br>-Summarising
4.  Data Wrangle
  <br>-Tibbles
  <br>-Data Import/Export
  <br>-Pivoting
  <br>-Joining
  <br>-Strings
  <br>-Dates & Times
  <br>-Case When
  <br>-Data Types
  <br>-Factors
5.  Program
  <br>-Functions
  <br>-Mapping